<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Arquivacert extends CI_Controller {

    public function __construct() {
        parent::__construct();
        //session_start();
        $this->seguranca();
        $this->load->library('table');
        $this->load->helper('form');
        $this->load->helper('criptografia');
        $this->load->model('Transacao_model', 'tm');
        $this->load->model('Assinaturas_model', 'a');
	$this->load->model('Certificados_model', 'c');
        $this->load->model('Planos_model', 'p');

        if (!in_array($this->uri->segment(3), array("verifica_transacoes_por_aluno_imazon","verifica_ceritificado_impressso_por_aluno", "ajax_notifica_adm", "verifica_dados_aluno", "alt_dados_aluno"))) {
            $this->load->view('adm/inc/header');
        }
    }

    public function seguranca() {
        if (!isset($_SESSION['nome_facilitador']) && !isset($_SESSION['email_facilitador']) && !isset($_SESSION['login'])) {
            session_destroy();
            redirect('login');
        }
    }

    public function index() {

        $this->load->library('pagination');
	$this->load->library('form_validation');
        
        $config['base_url']    = base_url() . 'admin/arquivacert';
        $data["por_pagina"] = $config['per_page'];
        @$data["paginas"] = round($config['total_rows']/$config['per_page']);
        $this->pagination->initialize($config);
        $data['paginacao'] = $this->pagination->create_links();
        $this->load->view('adm/tela/arquivacertificados.php', $data);
        $this->load->view('adm/inc/footer');
		
		
		if($_POST){
		$inicio= $this->input->post('dti');
		$fim=$this->input->post('dtf');
		$ass = array('inicio' =>$inicio, 'fim' => $fim);           
        $var=$this->c->arquivacert($ass);
			
             $params = array('orientation' => 'L', 'unit' => 'mm', 'size' => 'A4');
                $this->load->library('fpdf', $params);
                $this->fpdf->AliasNbPages();  
		foreach($var as $his){
				        switch ($his->situacao) {
                    case 2:
                        $situacao = 'Aprovado';
                        break;
                    case 3:
                        $situacao = 'Reprovado';
                        break;
                    default:
                        break;
                }
				
                $this->fpdf->AddPage();
                $this->fpdf->Image('http://imazoncursos.com.br/imgs/fundo_certificado_imazon.jpg', 1, 1, 270, 'JPG'); //logo
                $this->fpdf->setY("40");
                $this->fpdf->setX("10");
                $this->fpdf->SetFont('Arial', 'B', 40);
                $this->fpdf->Cell(0,13,utf8_decode('Certificado de Conclusão'),0,1,'C');
                $this->fpdf->SetFont('Arial', '', 16);
                $this->fpdf->Cell(0, 10, 'conferido a', 0, 1, 'C');
                $this->fpdf->SetFont('Arial', 'B', 16);
                $this->fpdf->Cell(0, 10, utf8_decode($his->nomeAluno), 0, 1, 'C');
                $this->fpdf->SetFont('Arial', '', 16);
                $this->fpdf->Cell(0, 8, 'RG: '.utf8_decode($his->rg), 0, 1, 'C');
                $this->fpdf->SetFont('Arial', '', 16);
                $this->fpdf->Cell(0, 5, utf8_decode('Por ter concluído o Curso Livre '), 0, 1, 'C');
                $this->fpdf->setY(120);
                
                $this->fpdf->setY(90);
                $this->fpdf->MultiCell(0, 5, utf8_decode($his->cursoNome), 0, 'C');
				
                $this->fpdf->setY(105);
                $this->fpdf->setX(50);
                $this->fpdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);
                $this->fpdf->setX(50);
                $this->fpdf->Cell(0, 5, 'Aproveitamento: ' . $his->nota.',0', 0, 1);
                $this->fpdf->setX(50);
                $this->fpdf->Cell(0, 5, utf8_decode('Cert. Nº ') . $his->id_historico, 0, 1);
                $this->fpdf->setY(105);
                $this->fpdf->setX(180);
                $this->fpdf->Cell(0, 5, utf8_decode('Carga Horária: ') . $his->carga_horaria . ' Horas', 0, 1);
                $this->fpdf->setX(180);
                $this->fpdf->Cell(0, 5, utf8_decode('Data de Início: ') . date('d/m/Y', strtotime($his->primeiro_dia)), 0, 1);
                $this->fpdf->setX(180);
                $this->fpdf->Cell(0, 5, utf8_decode('Data de Término: ') . date('d/m/Y', strtotime($his->data_aprovacao)), 0, 1);
				$this->fpdf->setY(120);
				$this->fpdf->Cell(0, 10, utf8_decode('Situação: ').$situacao, 0, 1, 'C');
                $this->fpdf->SetFont('Arial', '', 16);
                $this->fpdf->SetFont('Arial', '', 16);
                $this->fpdf->SetXY(10, 128);
                $texto = utf8_decode($his->base);
                $this->fpdf->MultiCell(0, 5, $texto, 0, 'C');
                $this->fpdf->SetFont('Arial', 'B', 16);
                $this->fpdf->Cell(430, 18, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
                $this->fpdf->SetFont('Arial', '', 16);
                $this->fpdf->SetLineWidth(0.2);
                $this->fpdf->Line(30, 170, 125, 170);
               $this->fpdf->SetXY(50, 175);
                $this->fpdf->Cell(0, 1, 'Assinatura do(a) Aluno(a)', 0, 0);
                $this->fpdf->SetXY(20, 187);
                $this->fpdf->Image('http://imazoncursos.com.br/imgs/rubrica.jpg', 200, 150, 50);
                $this->fpdf->Line(180, 170, 265, 170);
                $this->fpdf->SetXY(200, 175);
                $this->fpdf->Cell(0, 1, 'Ezelildo G Dornelas', 0, 0);
                $this->fpdf->SetXY(210, 180);
                $this->fpdf->Cell(0, 1, 'Diretor', 0, 0);

                 
                // Página de Verso	
                $this->fpdf->AddPage();
                $this->fpdf->Image('http://imazoncursos.com.br/imgs/fundo_certificado_imazon.jpg', 1, 1, 270, 'JPG'); //logo
                $this->fpdf->SetFont('Arial', 'B', 8);
                $this->fpdf->SetXY(20, 40);
                $this->fpdf->Cell(0, 20, utf8_decode('Conteúdo'), 0, 1, 'L');
                $this->fpdf->SetXY(20, 60);
				$conteudo=str_replace("â€“", "-",$his->descricao);
				
                $this->fpdf->MultiCell(0, 5, strip_tags(utf8_decode($conteudo)));
                $this->fpdf->SetXY(20, 90);
                
                $this->fpdf->SetXY(200, 180);
                $this->fpdf->Cell(0, 2, 'Autenticar em: www.imazoncursos.com.br/autenticacao ', 0, 0);
				 $this->fpdf->SetXY(200, 187);
				$this->fpdf->Cell(0, 2, utf8_decode('Código de Autenticação: ').$his->codigo_autenticacao, 0, 0);
               

                
	
		}
		$this->fpdf->Output();
		}
		
    }

   
    
}
